---
title: Touch.radiusX
slug: Web/API/Touch/radiusX
tags:
  - API
  - DOM
  - Experimental
  - Mobile
  - Property
  - touch
---
<p>{{ APIRef("Touch Events") }}</p>

<h2 id="Summary">Summary</h2>

<p>Returns the X radius of the ellipse that most closely circumscribes the area of contact with the touch surface. The value is in CSS pixels of the same scale as {{ domxref("Touch.screenX") }}.</p>

<p>This value, in combination with {{ domxref("Touch.radiusY") }} and {{ domxref("Touch.rotationAngle") }} constructs an ellipse that approximates the size and shape of the area of contact between the user and the screen. This may be a relatively large ellipse representing the contact between a fingertip and the screen or a small area representing the tip of a stylus, for example.</p>

<div class="note">
<p><strong>Note:</strong> This attribute has <em>not</em> been formally standardized. It is specified in the {{SpecName('Touch Events 2')}} {{Spec2('Touch Events 2')}} specification and not in {{SpecName('Touch Events')}} {{Spec2('Touch Events')}}. This attribute is not widely implemented.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="eval">var <em>xRadius</em> = <em>touchItem</em>.radiusX;
</pre>

<h3 id="Return_Value">Return value</h3>

<dl>
 <dt><code>xRadius</code></dt>
 <dd>The X radius of the ellipse that most closely circumscribes the area of contact with the touch surface.</dd>
</dl>

<h2 id="Example">Example</h2>

<p>This example illustrates using the {{domxref("Touch")}} interface's {{domxref("Touch.radiusX")}}, {{domxref("Touch.radiusX")}} and {{domxref("Touch.rotationAngle")}} properties. The {{domxref("Touch.radiusX")}} property is the radius of the ellipse which most closely circumscribes the touching area (e.g. finger, stylus) along the axis <strong>indicated</strong> by the touch point's {{domxref("Touch.rotationAngle")}}. Likewise, the {{domxref("Touch.radiusY")}} property is the radius of the ellipse which most closely circumscribes the touching area (e.g. finger, stylus) along the axis <strong>perpendicular</strong> to that indicated by {{domxref("Touch.rotationAngle")}}. The {{domxref("Touch.rotationAngle")}} is the angle (in degrees) that the ellipse described by <code>radiusX</code> and <code>radiusY</code> is rotated clockwise about its center.</p>

<p>The following simple code snippet, registers a single handler for the {{event("touchstart")}}, {{event("touchmove")}} and {{event("touchend")}} events. When the <code>src</code> element is touched, the element's width and height will be calculate based on the touch point's <code>radiusX</code> and <code>radiusY</code> values and the element will then be rotated using the touch point's <code>rotationAngle</code>.</p>

<pre class="brush: html">&lt;div id="src"&gt; ... &lt;/div&gt;
</pre>

<pre class="brush: js">var src = document.getElementById("src");

src.addEventListener('touchstart', rotate);
src.addEventListener('touchmove', rotate);
src.addEventListener('touchend', rotate);

function rotate (e) {
  var touch = e.changedTouches.item(0);

  // Turn off default event handling
  e.preventDefault();

  // Rotate element 'src'.
  src.style.width = touch.radiusX * 2 + 'px';
  src.style.height = touch.radiusY * 2 + 'px';
  src.style.transform = "rotate(" + touch.rotationAngle + "deg)";
};
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Touch Events 2','#dom-touch-radiusx')}}</td>
   <td>{{Spec2('Touch Events 2')}}</td>
   <td>Non-stable version.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Touch.radiusX")}}</p>
